## BtIcTriggerControl BtIcTriggerControl — buzztraxs interaction controller single trigger control |

## Functions

BtIcTriggerControl * | btic_trigger_control_new ()

## Properties

gboolean | value | Read / Write

## Types and Values

struct | BtIcTriggerControl

## Object Hierarchy

        GObject
        ╰── BtIcControl
            ╰── BtIcTriggerControl

## Includes

    #include <libbtic/ic.h>

## Description

Trigger control. The state of the hardware control can be read from BtIcTriggerControl:value.

## Functions

### btic_trigger_control_new ()

    BtIcTriggerControl *
    btic_trigger_control_new (const BtIcDevice *device,
                              const gchar *name,
                              guint id);

Create a new instance

#### Parameters

device | the device it belongs to |
name | human readable name |
id | unique identifier per device |

#### Returns

the new instance or `NULL` in case of an error

## Types and Values

### struct BtIcTriggerControl

    struct BtIcTriggerControl;

buzztraxs interaction controller single trigger control

## Property Details

### The `“value”` property

      “value”                    gboolean

control value.

Flags: Read / Write

Default value: FALSE